tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::map_value_type Struct Reference
Collaboration diagram for tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::map_value_type:

## Public Member Functions

| map_value_type (value_type const &a_value, ref_counter_type a_ref_counter, typename lru_list_type::iterator a_lru_list_iterator, bool a_is_ready)

## Public Attributes

value_type | my_value
ref_counter_type | my_ref_counter
lru_list_type::iterator | my_lru_list_iterator
bool | my_is_ready

## Detailed Description

### template<typename key_type, typename value_type, typename value_functor_type = value_type (*)(key_type)>
struct tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::map_value_type

Definition at line 52 of file concurrent_lru_cache.h.

## Constructor & Destructor Documentation

## map_value_type()

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::map_value_type::map_value_type | ( | value_type const & | a_value,
|  | ref_counter_type | a_ref_counter,
|  | typename lru_list_type::iterator | a_lru_list_iterator,
|  | bool | a_is_ready
| ) |  |

inline

Definition at line 58 of file concurrent_lru_cache.h.

: my_value(a_value), my_ref_counter(a_ref_counter), my_lru_list_iterator (a_lru_list_iterator), my_is_ready(a_is_ready)
{}
tbb::interface6::concurrent_lru_cache::map_value_type::my_is_ready
bool my_is_ready
Definition: concurrent_lru_cache.h:56
tbb::interface6::concurrent_lru_cache::map_value_type::my_lru_list_iterator
lru_list_type::iterator my_lru_list_iterator
Definition: concurrent_lru_cache.h:55
tbb::interface6::concurrent_lru_cache::map_value_type::my_value
value_type my_value
Definition: concurrent_lru_cache.h:53
tbb::interface6::concurrent_lru_cache::map_value_type::my_ref_counter
ref_counter_type my_ref_counter
Definition: concurrent_lru_cache.h:54

## Member Data Documentation

## my_is_ready

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

bool tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::map_value_type::my_is_ready

Definition at line 56 of file concurrent_lru_cache.h.

## my_lru_list_iterator

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

lru_list_type::iterator tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::map_value_type::my_lru_list_iterator

Definition at line 55 of file concurrent_lru_cache.h.

## my_ref_counter

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

ref_counter_type tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::map_value_type::my_ref_counter

Definition at line 54 of file concurrent_lru_cache.h.

## my_value

template<typename key_type , typename value_type , typename value_functor_type = value_type (*)(key_type)>

value_type tbb::interface6::concurrent_lru_cache< key_type, value_type, value_functor_type >::map_value_type::my_value

Definition at line 53 of file concurrent_lru_cache.h.

The documentation for this struct was generated from the following file:

- concurrent_lru_cache.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.